- name: Verify Minimum Software Version - Ubuntu 18.04
  assert:
    that: "{{ansible_lsb.release is version_compare('18.04', '>=') }}"
    msg: >
      "Ubuntu must be version 18.04.
      Version {{ansible_lsb.release}} detected"

- name: Run the equivalent of "apt-get update"
  apt:
    update_cache: yes

- name: Copy interfaces configuration
  template:
    src: interfaces.j2
    dest: /etc/network/interfaces
    backup: yes
  notify: reload networking

- name: Install traceroute
  apt:
    name: traceroute
    update_cache: yes

- name: Flush Handlers, best practice
  meta: flush_handlers
